Bug 13592 - ctdbd logs an error until it can successfully connect to eventd
ctdbd logs an error until it can successfully connect to eventd
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-29 05:42 UTC by Martin Schwenke
Modified: 2018-09-06 07:12 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.9 (13.18 KB, patch)
2018-09-03 00:20 UTC, Martin Schwenke
amitay: review+
Details
Patch for 4.8 (13.31 KB, patch)
2018-09-03 00:21 UTC, Martin Schwenke
amitay: review+
Details
Updated patches for 4.9 (14.22 KB, patch)
2018-09-04 00:37 UTC, Martin Schwenke
amitay: review+
Details
Updated patches for 4.8 (14.85 KB, patch)
2018-09-04 00:39 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2018-08-29 05:42:11 UTC
The logged error occurs every second until ctdbd can successfully connect to eventd, which is being starts.  Someone checking the logs may believe that this is a serious error.

This can be fixed by having eventd notify ctdbd that it is ready.  There is already a pipe between the 2 processes.
Comment 1 Martin Schwenke 2018-09-03 00:20:53 UTC
Created attachment 14458 [details]
Patch for 4.9
Comment 2 Martin Schwenke 2018-09-03 00:21:22 UTC
Created attachment 14459 [details]
Patch for 4.8
Comment 3 Amitay Isaacs 2018-09-03 02:23:45 UTC
Hi Karolin,

This is ready for v4-8 and v4-9.

Thanks.
Comment 4 Martin Schwenke 2018-09-03 06:42:53 UTC
Hi Karolin,

One more patch to come in this series - a minor logging fixup.  Not sure if you want to push what you have or assign back to Amitay/me and wait for the final patch.

Please let me know...  :-)

Thanks...
Comment 5 Karolin Seeger 2018-09-03 06:46:00 UTC
(In reply to Martin Schwenke from comment #4)
Hi Martin,

when will the final patch be available? Before Wednesday?
Comment 6 Martin Schwenke 2018-09-03 06:58:38 UTC
(In reply to Karolin Seeger from comment #5)

The patch is awaiting review on samba-technical, so probably waiting on Amitay.  I think we should be able to have it upstream and have the "backport" attached to the bug by the time you wake up on Wednesday.  It depends on Amitay's ability to review in the context of his other commitments.
Comment 7 Martin Schwenke 2018-09-04 00:37:17 UTC
Created attachment 14461 [details]
Updated patches for 4.9

Updated patches for 4.9 just include the extra patch.
Comment 8 Martin Schwenke 2018-09-04 00:39:21 UTC
Created attachment 14462 [details]
Updated patches for 4.8

Updated patches for 4.8 include a backport of the extra commit and a fix for a "thinko" in the argument construction in the backport of one of the previous commits (I had appended the new args to the end even though intervening ones could be NULL).
Comment 9 Amitay Isaacs 2018-09-04 02:15:25 UTC
Hi Karolin,

The patches are now updated and ready for v4-8 and v4-9.
Comment 10 Karolin Seeger 2018-09-04 06:50:57 UTC
(In reply to Amitay Isaacs from comment #9)

Hi Martin,

thanks!

Pushed to autobuild-v4-{9,8}-test.
Comment 11 Karolin Seeger 2018-09-06 07:12:57 UTC
(In reply to Karolin Seeger from comment #10)
Pushed to both branches.
Closing out bug report.

Thanks!